Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkProcessStatistics Class Reference

`#include <vtkProcessStatistics.h>`

Inheritance diagram for vtkProcessStatistics:

[legend]
Collaboration diagram for vtkProcessStatistics:

[legend]
List of all members.

## Detailed Description

get statistics such as cpu and memory usage

Date:
  2002/12/26 18:24:21

Revision:
  1.16

Created by:
  - Avila, Lisa

CVS contributions (if > 5%):
  - Avila, Lisa (60%)
  - Lorensen, Bill (22%)
  - Schroeder, Will (9%)

CVS logs (CVSweb):
  - .`h` (`/Common/vtkProcessStatistics.h)`
  - .`cxx` (`/Common/vtkProcessStatistics.cxx)`

Definition at line 41 of file vtkProcessStatistics.h.

## Public Types
typedef vtkObject | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
int | GetProcessSizeInBytes ()
float | GetProcessCPUTimeInMilliseconds ()
## Static Public Methods
vtkProcessStatistics * | New ()
int | IsTypeOf (const char *type)
vtkProcessStatistics * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkProcessStatistics ()
| ~vtkProcessStatistics ()

## Member Typedef Documentation

typedef vtkObject vtkProcessStatistics::Superclass

| Reimplemented from vtkObject. Definition at line 47 of file vtkProcessStatistics.h.

## Constructor & Destructor Documentation

vtkProcessStatistics::vtkProcessStatistics | ( |  | ) | `[protected]`

vtkProcessStatistics::~vtkProcessStatistics | ( |  | ) | `[inline, protected]`

| Definition at line 54 of file vtkProcessStatistics.h.

## Member Function Documentation

vtkProcessStatistics* vtkProcessStatistics::New | ( |  | ) | `[static]`

| Construct the ProcessStatistics with eight points. Reimplemented from vtkObject.

virtual const char* vtkProcessStatistics::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkObject.

int vtkProcessStatistics::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkObject.

virtual int vtkProcessStatistics::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkObject.

vtkProcessStatistics* vtkProcessStatistics::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkObject.

int vtkProcessStatistics::GetProcessSizeInBytes | ( |  | ) |

float vtkProcessStatistics::GetProcessCPUTimeInMilliseconds | ( |  | ) |

The documentation for this class was generated from the following file:

- Common/vtkProcessStatistics.h